org.apache.ignite.internal.pagemem.wal.record.delta

## Class DataPageMvccMarkUpdatedRecord

- java.lang.Object
- - org.apache.ignite.internal.pagemem.wal.record.WALRecord
  - - org.apache.ignite.internal.pagemem.wal.record.delta.PageDeltaRecord
    - - org.apache.ignite.internal.pagemem.wal.record.delta.DataPageMvccMarkUpdatedRecord

All Implemented Interfaces:
  WalRecordCacheGroupAware

    public class DataPageMvccMarkUpdatedRecord
    extends PageDeltaRecord

MVCC mark updated record.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`WALRecord.RecordPurpose, WALRecord.RecordType`

### Constructor Summary

Constructors
Constructor and Description
`DataPageMvccMarkUpdatedRecord(int grpId, long pageId, int itemId, long newMvccCrd, long newMvccCntr, int newMvccOpCntr)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `applyDelta(PageMemory pageMem, long pageAddr)` Apply changes from this delta to the given page.
`int` `itemId()`
`long` `newMvccCntr()`
`long` `newMvccCrd()`
`int` `newMvccOpCntr()`
`String` `toString()`
`WALRecord.RecordType` `type()`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.delta.PageDeltaRecord

`fullPageId, groupId, pageId`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`chainSize, chainSize, position, position, previous, previous, size, size`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DataPageMvccMarkUpdatedRecord

    public DataPageMvccMarkUpdatedRecord(int grpId,
                                         long pageId,
                                         int itemId,
                                         long newMvccCrd,
                                         long newMvccCntr,
                                         int newMvccOpCntr)

Parameters:
  `grpId` - Cache group ID.
  `pageId` - Page ID.
  `itemId` - Item id.
  `newMvccCrd` - New MVCC coordinator version.
  `newMvccCntr` - New MVCC counter version.
  `newMvccOpCntr` - New MVCC operation counter.

### Method Detail

#### applyDelta

    public void applyDelta(PageMemory pageMem,
                           long pageAddr)
                    throws IgniteCheckedException

Apply changes from this delta to the given page. It is assumed that the given buffer represents page state right before this update.

Specified by:
  `applyDelta` in class `PageDeltaRecord`
Parameters:
  `pageMem` - Page memory.
  `pageAddr` - Page address.
Throws:
  `IgniteCheckedException` - If failed.

#### type

    public WALRecord.RecordType type()

Specified by:
  `type` in class `WALRecord`
Returns:
  Entry type.

#### itemId

    public int itemId()

Returns:
  Item id.

#### newMvccCrd

    public long newMvccCrd()

Returns:
  New MVCC coordinator version.

#### newMvccCntr

    public long newMvccCntr()

Returns:
  New MVCC counter version.

#### newMvccOpCntr

    public int newMvccOpCntr()

Returns:
  New MVCC operation counter.

#### toString

    public String toString()

Overrides:
  `toString` in class `PageDeltaRecord`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021